CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > Lounge

Problems installing SVN in Ubuntu (for later installing PyFoam for OpenFOAM)

Register Blogs Members List Search Today's Posts Mark Forums Read

Like Tree1Likes
  • 1 Post By wyldckat

Reply
 
LinkBack Thread Tools Display Modes
Old   May 20, 2014, 04:39
Default Problems installing SVN in Ubuntu (for later installing PyFoam for OpenFOAM)
  #1
Senior Member
 
immortality's Avatar
 
Ehsan
Join Date: Oct 2012
Location: Iran
Posts: 2,209
Rep Power: 18
immortality is on a distinguished road
Hi
its needed to install svn for pyFoam:
"The program 'svn' is currently not installed"
but when I want to install pyFoam an error related to installing svn occurs.
Code:
thesis@thesis-X58A-UD7:~$ sudo apt-get install subversion
[sudo] password for thesis: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  libapr1 libaprutil1 libsvn1
Suggested packages:
  subversion-tools db4.8-util
The following NEW packages will be installed:
  libapr1 libaprutil1 libsvn1 subversion
0 upgraded, 4 newly installed, 0 to remove and 297 not upgraded.
Need to get 1,270 kB of archives.
After this operation, 3,985 kB of additional disk space will be used.
Do you want to continue [Y/n]? y
WARNING: The following packages cannot be authenticated!
  libapr1 libaprutil1 libsvn1 subversion
Install these packages without verification [y/N]? y
Err http://ir.archive.ubuntu.com/ubuntu/ oneiric/main libapr1 amd64 1.4.5-1
  404  Not Found
Err http://ir.archive.ubuntu.com/ubuntu/ oneiric/main libaprutil1 amd64 1.3.12+dfsg-2
  404  Not Found
Err http://ir.archive.ubuntu.com/ubuntu/ oneiric-updates/main libsvn1 amd64 1.6.12dfsg-4ubuntu5.1
  404  Not Found
Err http://ir.archive.ubuntu.com/ubuntu/ oneiric-updates/main subversion amd64 1.6.12dfsg-4ubuntu5.1
  404  Not Found
Failed to fetch http://ir.archive.ubuntu.com/ubuntu/pool/main/a/apr/libapr1_1.4.5-1_amd64.deb  404  Not Found
Failed to fetch http://ir.archive.ubuntu.com/ubuntu/pool/main/a/apr-util/libaprutil1_1.3.12+dfsg-2_amd64.deb  404  Not Found
Failed to fetch http://ir.archive.ubuntu.com/ubuntu/pool/main/s/subversion/libsvn1_1.6.12dfsg-4ubuntu5.1_amd64.deb  404  Not Found
Failed to fetch http://ir.archive.ubuntu.com/ubuntu/pool/main/s/subversion/subversion_1.6.12dfsg-4ubuntu5.1_amd64.deb  404  Not Found
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
hw can I overcome this issue?
__________________
Injustice Anywhere is a Threat for Justice Everywhere.Martin Luther King.
To Be or Not To Be,Thats the Question!
The Only Stupid Question Is the One that Goes Unasked.
immortality is offline   Reply With Quote

Old   May 21, 2014, 19:31
Default
  #2
Assistant Moderator
 
Bernhard Gschaider
Join Date: Mar 2009
Posts: 3,916
Rep Power: 41
gschaider will become famous soon enoughgschaider will become famous soon enough
Quote:
Originally Posted by immortality View Post
Hi
its needed to install svn for pyFoam:
"The program 'svn' is currently not installed"
but when I want to install pyFoam an error related to installing svn occurs.
Code:
thesis@thesis-X58A-UD7:~$ sudo apt-get install subversion
[sudo] password for thesis: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  libapr1 libaprutil1 libsvn1
Suggested packages:
  subversion-tools db4.8-util
The following NEW packages will be installed:
  libapr1 libaprutil1 libsvn1 subversion
0 upgraded, 4 newly installed, 0 to remove and 297 not upgraded.
Need to get 1,270 kB of archives.
After this operation, 3,985 kB of additional disk space will be used.
Do you want to continue [Y/n]? y
WARNING: The following packages cannot be authenticated!
  libapr1 libaprutil1 libsvn1 subversion
Install these packages without verification [y/N]? y
Err http://ir.archive.ubuntu.com/ubuntu/ oneiric/main libapr1 amd64 1.4.5-1
  404  Not Found
Err http://ir.archive.ubuntu.com/ubuntu/ oneiric/main libaprutil1 amd64 1.3.12+dfsg-2
  404  Not Found
Err http://ir.archive.ubuntu.com/ubuntu/ oneiric-updates/main libsvn1 amd64 1.6.12dfsg-4ubuntu5.1
  404  Not Found
Err http://ir.archive.ubuntu.com/ubuntu/ oneiric-updates/main subversion amd64 1.6.12dfsg-4ubuntu5.1
  404  Not Found
Failed to fetch http://ir.archive.ubuntu.com/ubuntu/pool/main/a/apr/libapr1_1.4.5-1_amd64.deb  404  Not Found
Failed to fetch http://ir.archive.ubuntu.com/ubuntu/pool/main/a/apr-util/libaprutil1_1.3.12+dfsg-2_amd64.deb  404  Not Found
Failed to fetch http://ir.archive.ubuntu.com/ubuntu/pool/main/s/subversion/libsvn1_1.6.12dfsg-4ubuntu5.1_amd64.deb  404  Not Found
Failed to fetch http://ir.archive.ubuntu.com/ubuntu/pool/main/s/subversion/subversion_1.6.12dfsg-4ubuntu5.1_amd64.deb  404  Not Found
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
hw can I overcome this issue?
No idead. Your machine can't get to the server. This is not a PyFoam problem. Not even an OpenFOAM problem. Please don't spam this thread with it.

BTW: the version in the SVN is the same as the latest tar found on the PyFoam-Wiki-page. Get that
__________________
Note: I don't use "Friend"-feature on this forum out of principle. Ah. And by the way: I'm not on Facebook either. So don't be offended if I don't accept your invitation/friend request
gschaider is offline   Reply With Quote

Old   May 24, 2014, 03:05
Default
  #3
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 9,473
Blog Entries: 36
Rep Power: 96
wyldckat is just really nicewyldckat is just really nicewyldckat is just really nicewyldckat is just really nicewyldckat is just really nice
Greetings to all!

As the first post wasn't strictly PyFoam nor OpenFOAM related, I've moved the posts above to the Lounge forum.

Assuming the Ubuntu repositories at the "ir.archive.ubuntu.com" server(s) still have packages for Ubuntu Oneiric, you'll need to run first this command:
Code:
sudo apt-get update
If this command complains that it can't find something or anything, then don't expect the other installation command to work .

Best regards,
Bruno
immortality likes this.
wyldckat is offline   Reply With Quote

Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
Installing OpenFOAM 2.1.1 and ParaView 3.12.0 on Ubuntu 12.10 wyldckat OpenFOAM Installation 14 February 12, 2013 05:43
[ICEM] Problems with coedge curves and surfaces tommymoose ANSYS Meshing & Geometry 0 August 5, 2011 16:02
Problems installin OpenFoam-1.5-dev in Ubuntu 8 tmata2002 OpenFOAM Installation 2 September 23, 2009 10:50
Adventure of fisrst openfoam installation on Ubuntu 710 jussi OpenFOAM Installation 0 April 24, 2008 14:25
Problems installing CFX on Sun Unix Platform Haley CFX 2 November 9, 2001 10:52


All times are GMT -4. The time now is 01:35.